complexType "DateOffset"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier, period, dayType?, businessDayConvention
</...>

Content Model Elements (4):

  businessDayConvention (defined in DateOffset complexType), dayType (defined in Offset complexType), | period (defined in Period complexType), periodMultiplier (defined in Period complexType)

All Direct / Indirect Based Elements (4):

  dateOffset,
  expirationDateOffset,
  paymentDate (in environmentalPhysicalLeg),
  paymentDaysOffset (defined in CommodityRelativePaymentDates complexType)

Known Usage Locations

- As direct type of elements (4):
  dateOffset,
  expirationDateOffset,
  paymentDate (in environmentalPhysicalLeg),
  paymentDaysOffset (defined in CommodityRelativePaymentDates complexType)

Annotation
A type defining an offset used in calculating a date when this date is defined in reference to another date through a date offset. The type includes the convention for adjusting the date and an optional sequence element to indicate the order in a sequence of multiple date offsets.
Type Definition Detail

Type Derivation Tree Period (extension) Offset (extension) DateOffset

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="DateOffset"> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <xsd:element name="businessDayConvention" type="BusinessDayConventionEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/4)
businessDayConvention

  Type: | BusinessDayConventionEnum, simple content

  The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day See: http://www.FpML.org
  "FRN" | - | Per 2000 ISDA Definitions, Section 4.11. FRN Convention; Eurodollar Convention. See: http://www.FpML.org
  "MODFOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day unless that day falls in the next calendar month, in which case that date will be the first preceding day that is a business day. See: http://www.FpML.org
  "PRECEDING" | - | The non-business day will be adjusted to the first preceding day that is a business day. See: http://www.FpML.org
  "MODPRECEDING" | - | The non-business date will be adjusted to the first preceding day that is a business day unless that day falls in the previous calendar month, in which case that date will be the first following day that us a business day. See: http://www.FpML.org
  "NEAREST" | - | The non-business date will be adjusted to the nearest day that is a business day - i.e. if the non-business day falls on any day other than a Sunday or a Monday, it will be the first preceding day that is a business day, and will be the first following business day if it falls on a Sunday or a Monday. See: http://www.FpML.org
  "NONE" | - | The date will not be adjusted if it falls on a day that is not a business day. See: http://www.FpML.org
  "NotApplicable" | - | The date adjustments conventions are defined elsewhere, so it is not required to specify them here. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="businessDayConvention" type="BusinessDayConventionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.